<main>
    <style>
        @scope {
            .contestacao-details {
                padding: 1rem;
                background: #f9f9f9;
                border: 1px solid #ddd;
                border-radius: 8px;
                margin-top: 1rem;
            }
        }
    </style>
    <script>
        function RowClick(event) {
        const row = event.currentTarget || event.detail.target;
        row.classList.add('tr-select');
        setTimeout(() => row.classList.add('transition-to-white'), 100);
        setTimeout(() => row.classList.remove('tr-select'), 600);
        setTimeout(() => row.classList.remove('transition-to-white'), 600);
        document.querySelectorAll('#botoes-contestacao button').forEach(button => button.removeAttribute('disabled'));
    }
    </script>
    <section>
        <article class="box">
            <h1>Contestações</h1>
            <p>
                Utilize esta seção para visualizar e gerenciar as contestações pendentes às viagens. Você pode aprovar ou rejeitar cada contestação após analisar os detalhes fornecidos.
            </p>
        </article>
    </section>

    <section class="grid">
        <!-- Lista de Contestações Pendentes -->
        <article class="box">
            <h2>Lista de Contestações</h2>

            <div style="display: flex; align-items: stretch; margin-bottom: 0.5rem; text-wrap: nowrap;">
                <input 
                    type="search" 
                    name="busca"
                    style="margin-bottom: 0;"
                    placeholder="Pesquisar por ID, data ou justificativa" 
                    hx-target="#contestacoes-table" 
                    hx-get="{{ url_for('bikesp._admin_listar_contestacoes_pendentes') }}" 
                    hx-trigger="input changed delay:500ms, search"/>
            </div>

            <div id="contestacoes-table" 
                 hx-get="{{ url_for('bikesp._admin_listar_contestacoes_pendentes') }}" 
                 hx-trigger="load">
                <!-- A tabela será preenchida dinamicamente -->
            </div>
        </article>

        <!-- Detalhes da Contestação Selecionada -->
        <article class="box">
            <h2>Detalhes da Contestação</h2>
            <div id="contestacao-detalhes" 
                 class="contestacao-details" 
                 hx-get="{{ url_for('bikesp._admin_gerencia_contestacao') }}" 
                 hx-trigger="change from:#contestacoes-table">
                <h3> Selecione uma contestação </h3>
            </div>
            <div id="botoes-contestacao" class="button-container">
                <button 
                    type="button" 
                    hx-target="#confirmacao-container"
                    hx-get="{{ url_for('bikesp._admin_get_botao_contestacao') }}" 
                    hx-vals='{"aprovar": "true"}'
                    hx-include="[name=idviagem], [name=resposta]"
                    disabled>
                    Aprovar
                </button>
                <button 
                    type="button" 
                    hx-target="#confirmacao-container"
                    hx-get="{{ url_for('bikesp._admin_get_botao_contestacao') }}" 
                    hx-vals='{"aprovar": "false"}'
                    hx-include="[name=idviagem], [name=resposta]"
                    disabled>
                    Rejeitar
                </button>
            </div>
            <div id="confirmacao-container" class="button-container"></div>
        </article>
    </section>
</main>
